import { join } from 'path'

export default {
    output: {
        filename: 'worker.js',
        path: join(__dirname, 'dist'),
    },
    mode: 'production',
    resolve: {
        extensions: ['.ts', '.tsx', '.js'],
        plugins: [],
        fallback: {
            zlib: false,
            https: false,
            fs: false,
            fastify: false,
            express: false,
            path: false,
        },
    },
    module: {
        rules: [
            {
                test: /\.tsx?$/,
                loader: 'ts-loader',
                options: {
                    transpileOnly: true,
                },
            },
        ],
    },
}
